Package org.eclipse.help.search

# Interface SearchParticipantXML.IParsedXMLContent

Enclosing class:
  `SearchParticipantXML`

protected static interface SearchParticipantXML.IParsedXMLContent
Class that implements this interface is used to store data obtained during the parsing phase.

## Method Summary

Modifier and Type
Method
Description
`void`
`addText(String text)`
Adds the text to the content buffer for indexing.
`void`
`addToSummary(String summary)`
Sets the optional summary of the parsed document that can be later rendered for the search hits.
`String`
`getLocale()`
Returns the locale of the index.
`void`
`setTitle(String title)`
Sets the title of the parsed document for indexing.

## Method Details

### getLocale

String getLocale()
Returns the locale of the index.

Returns:
  the locale string

### setTitle

void setTitle(String title)
Sets the title of the parsed document for indexing.

Parameters:
  `title` - the document title

### addToSummary

void addToSummary(String summary)
Sets the optional summary of the parsed document that can be later rendered for the search hits.

Parameters:
  `summary` - the short document summary

### addText

void addText(String text)
Adds the text to the content buffer for indexing.

Parameters:
  `text` - the text to add to the document content buffer